Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 371931

Summary: www-client/chromium-12.0.742.91: crashes on YouTube HTML5 because of using system ffmpeg
Product: Gentoo Linux Reporter: Ambroz Bizjak <ambrop7>
Component: Current packagesAssignee: Chromium Project <chromium>
Status: RESOLVED FIXED    
Severity: major CC: devurandom, nikoli
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
See Also: http://code.google.com/p/chromium/issues/detail?id=78644
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: ebuild patch to use bundled ffmpeg

Description Ambroz Bizjak 2011-06-16 15:49:44 UTC
Created attachment 277257 [details, diff]
ebuild patch to use bundled ffmpeg

Upstream bug: http://code.google.com/p/chromium/issues/detail?id=78644

Visiting any YouTube video in HTML5 mode then clicking a link (or the back button) while the video is playing results in the crash of the tab.

This has something to do with using the system-provided ffmpeg (in my case media-video/ffmpeg-0.7_rc1), and can be worked around by using the version of ffmpeg shipped with Chromium.

I suggest that the ebuild reverts to using the shipped ffmpeg until the bug is fixed upstream. I'm attaching a patch, and I've tested that it works on YouTube and it no longer crashes.
Comment 1 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-06-16 17:15:04 UTC
I can't reproduce. I tried HTML5 player from http://sublimevideo.net/demo, enabled HTML5 trial on http://www.youtube.com/html5, tried with http://www.youtube.com/watch?v=R4vkVHijdQk (including closing the tab), and there were no crashes.

[ ebuild   R   ] media-video/ffmpeg-0.6.90_rc0-r2  USE="3dnow 3dnowext X alsa bzip2 encode hardcoded-tables mmx mmxext mp3 sdl ssse3 test threads truetype vorbis x264 xvid zlib (-altivec) -amr -avx -bindist -cpudetection -custom-cflags -debug -dirac -doc -faac -frei0r -gsm -ieee1394 -jack -jpeg2k -network -oss -pic -qt-faststart -rtmp -schroedinger -speex -static-libs -theora -v4l -v4l2 -vaapi -vdpau -vpx" VIDEO_CARDS="-nvidia"

[ebuild   R   ] www-client/chromium-13.0.782.24  USE="cups gnome-keyring test xinerama -gnome -kerberos" LINGUAS="-am -ar -bg -bn -ca -cs -da -de -el -en_GB -es -es_LA -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -nb -nl -pl -pt_BR -pt_PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh_CN -zh_TW"

Portage 2.1.9.42 (default/linux/x86/10.0/developer, gcc-4.4.5, libc-0-r0, 2.6.38-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.38-gentoo-r6-i686-Intel-R-_Core-TM-2_Duo_CPU_P8700_@_2.53GHz-with-gentoo-2.0.2
Timestamp of tree: Wed, 15 Jun 2011 06:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.12.2
virtual/os-headers:  0
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs collision-protect distlocks fixlafiles fixpackages multilib-strict news parallel-fetch protect-owned sandbox sfperms sign splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa berkdb bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus device-mapper dri dts dvd dvdr emacs emboss encode exif fam firefox flac fortran gdbm gdu gif git gnome-keyring gnutls gtk iconv icu jpeg lcms libnotify mad mbox mercurial mng modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly nss ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support readline sdl secure-delete session snmp spell sqlite ssl startup-notification subversion svg sysfs tcb tcpd threads tiff toolkit-scroll-bars truetype udev unicode usb vorbis x264 x86 xcb xft xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ens1371" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard vmmouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vmware vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-06-16 17:18:46 UTC
Oops, I actually _can_ reproduce. It is important to click a link or click the back button while the video is playing. Sad tab every time.
Comment 3 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-06-17 15:44:40 UTC
Should be fixed in www-client/chromium-12.0.742.91-r1. I'll keep the bug open to remember to switch back to system version when it no longer crashes.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-07-20 22:04:29 UTC
Should be fixed for good in >=chromium-14.0.825.0-r1. Thank you for the report.